Subject: [PATCH] ASoC: tda998x: Fix lack of required reg in DT documentation

From: [email-masked] (Jean-Francois Moine)
Date: Thu, 20 Mar 2014 15:59:35 +0100

On Thu, 20 Mar 2014 14:31:10 +0000
Russell King - ARM Linux <[email-masked]> wrote:

> 1. change the DT compatible strings the driver has to accept both
>    nxp,tda19988 and nxp,tda19989, and set the appropriate device
>    in the DT file (tda19988).  I'm a bit nervous about using
>    "nxp,tda1998x" in case we're clashing with devices with different
>    characteristics.

The Cubox is sold with either the TDA19988 or the TDA19989 (I don't
know about the AMX33XX boards). Then, setting the exact type in the DT
would ask for 2 differents DTs or for having two tda998x definitions in
a same DT...

-- 
Ken ar c'henta?	|	      ** Breizh ha Linux atav! **
Jef		|		http://moinejf.free.fr/